@import 'src/styles/global/breakpoints';

::ng-deep{
  .mat-drawer-backdrop{
    background: none !important;
  }
  .mat-drawer-inner-container{
    transform: rotateZ(357deg);
  }
  
  mat-sidenav::-webkit-scrollbar { 
    width: 0px;
    background: transparent;
  }
}


mat-sidenav {
  position: fixed;
  width: 192px;
  text-align: right;
  box-shadow: none !important;
}
  
mat-sidenav-container {
  height: 100%;
  width: 100%;
  &.mat-drawer-opened{
    @media (min-width: map-get($grid-breakpoints, md)) {
      .pages{
        margin-right: 256px;
      }
    }
  }

  .pages{
    flex: 1 0 auto;
    @media (min-width: map-get($grid-breakpoints, md)) {
      margin-top: 160px;
      margin-right: 64px;
    }
    @media (max-width: map-get($grid-breakpoints, md)) {
      margin-top: 112px;
      margin-right: 32px;
    }
    margin-left: 2px;
    margin-bottom: 192px;
    padding: 32px 16px;
    min-height: calc(100vh - 160px - 40px - 192px);
  }
  
}
